%define upstream_name Subclass-Of
%define upstream_version 0.003

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 3

Summary:	Import a magic subclass
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Subclass/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Module::Runtime)
BuildRequires:	perl(Sub::Name)
BuildRequires:	perl(Test::Requires)
BuildRequires:	perl(Test::Warn)
BuildRequires:	perl(namespace::clean)

BuildArch:	noarch

%description
Load a class, creating a subclass of it with additional roles (Moose,
Mouse, Moo and Role::Tiny should all work) and/or additional methods, and
providing a lexically-scoped alias for the subclass.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README SIGNATURE
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.3.0-3.mga6
+ Revision: 1033476
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.3.0-2.mga6
+ Revision: 967957
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 0.3.0-1.mga6
+ Revision: 850901
- imported package perl-Subclass-Of

